diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -42738,14 +42940,14 @@ (define-public rust-rstar-0.9
     (name "rust-rstar")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rstar" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1bdby74j2h7rizs6p81xxilnjsi6w1z2xx2vigaw2gkj5cvlp3km"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rstar" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1bdby74j2h7rizs6p81xxilnjsi6w1z2xx2vigaw2gkj5cvlp3km"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -42771,14 +42973,14 @@ (define-public rust-rstar-0.8
     (name "rust-rstar")
     (version "0.8.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rstar" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1b6vjfwvpcgy0q8ywywz548vhxrmhbz2sm6xyhnmj5p5xd1xfqff"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rstar" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1b6vjfwvpcgy0q8ywywz548vhxrmhbz2sm6xyhnmj5p5xd1xfqff"))))))
 
 (define-public rust-rstest-0.10
   (package
@@ -42828,7 +43030,7 @@ (define-public rust-rpassword-5
     (synopsis "Read passwords in Rust console applications")
     (description "This package provides a crate for reading passwords in
 console applications.")
-  (license license:asl2.0)))
+    (license license:asl2.0)))
 
 (define-public rust-rpassword-4
   (package
@@ -42849,14 +43051,14 @@ (define-public rust-rpassword-3
     (name "rust-rpassword")
     (version "3.0.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rpassword" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vkifbbs160d7i7wy3kb0vw9mbf3pf470hg8f623rjkzmsyafky3"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rpassword" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vkifbbs160d7i7wy3kb0vw9mbf3pf470hg8f623rjkzmsyafky3"))))
     (arguments
      `(#:cargo-inputs
        (("rust-kernel32-sys" ,rust-kernel32-sys-0.2)
@@ -43176,14 +43378,14 @@ (define-public rust-rust-argon2-0.7
     (name "rust-rust-argon2")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rust-argon2" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05xh5wfxgzq3b6jys8r34f3hmqqfs8ylvf934n9z87wfv95szj1b"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust-argon2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05xh5wfxgzq3b6jys8r34f3hmqqfs8ylvf934n9z87wfv95szj1b"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43268,14 +43470,14 @@ (define-public rust-rust-decimal-1
     (name "rust-rust-decimal")
     (version "1.14.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rust-decimal" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "10k58hf367626d4akl7ifyk5qwqphfs5x6z1yay22pkyc6w7q4h1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust-decimal" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "10k58hf367626d4akl7ifyk5qwqphfs5x6z1yay22pkyc6w7q4h1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:rust ,rust-1.46    ; or later
@@ -43436,14 +43638,14 @@ (define-public rust-rust-hawktracer-0.7
     (name "rust-rust-hawktracer")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rust_hawktracer" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1h9an3b73pmhhpzc2kk93nh93lplkvsffysj0rp6rxi7p4lhlj73"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust_hawktracer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1h9an3b73pmhhpzc2kk93nh93lplkvsffysj0rp6rxi7p4lhlj73"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43463,14 +43665,14 @@ (define-public rust-rust-hawktracer-proc-macro-0.4
     (name "rust-rust-hawktracer-proc-macro")
     (version "0.4.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rust_hawktracer_proc_macro" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1qfksscfv8rbbzv2zb0i9sbbqmig0dr0vrma3c1kzsfmpsynlqnb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust_hawktracer_proc_macro" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qfksscfv8rbbzv2zb0i9sbbqmig0dr0vrma3c1kzsfmpsynlqnb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43488,16 +43690,16 @@ (define-public rust-rust-hawktracer-normal-macro-0.4
     (name "rust-rust-hawktracer-normal-macro")
     (version "0.4.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri
-               "rust_hawktracer_normal_macro"
-               version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1sfjmipdbb5s498c150czr6wihjlkwwgla2jyg3cs7cyjich0mwa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri
+             "rust_hawktracer_normal_macro"
+             version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1sfjmipdbb5s498c150czr6wihjlkwwgla2jyg3cs7cyjich0mwa"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43514,14 +43716,14 @@ (define-public rust-rust-hawktracer-sys-0.4
     (name "rust-rust-hawktracer-sys")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rust_hawktracer_sys" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "15acrj881y2g7cwsgf1nr22cixrknp8m4x08dkx1an6zf4q8bk37"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust_hawktracer_sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "15acrj881y2g7cwsgf1nr22cixrknp8m4x08dkx1an6zf4q8bk37"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43942,13 +44144,13 @@ (define-public rust-rustc-demangle-0.1
     (name "rust-rustc-demangle")
     (version "0.1.16")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-demangle" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "10qp42sl1wrdbgbbh8rnay2grm976z7hqgz32c4y09l1c071qsac"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-demangle" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "10qp42sl1wrdbgbbh8rnay2grm976z7hqgz32c4y09l1c071qsac"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43967,14 +44169,14 @@ (define-public rust-rustc-hash-1
     (name "rust-rustc-hash")
     (version "1.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-hash" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1qkc5khrmv5pqi5l5ca9p5nl5hs742cagrndhbrlk3dhlrx3zm08"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-hash" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qkc5khrmv5pqi5l5ca9p5nl5hs742cagrndhbrlk3dhlrx3zm08"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://github.com/rust-lang/rustc-hash")
@@ -44027,14 +44229,14 @@ (define-public rust-rustc-rayon-core-0.3
     (name "rust-rustc-rayon-core")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-rayon-core" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1cwc50mcclzfmhmi87953fjk6cc9ppmchn9mlwzfllq03y1jf97a"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-rayon-core" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1cwc50mcclzfmhmi87953fjk6cc9ppmchn9mlwzfllq03y1jf97a"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -44063,13 +44265,13 @@ (define-public rust-rustc-serialize-0.3
     (name "rust-rustc-serialize")
     (version "0.3.24")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-serialize" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1nkg3vasg7nk80ffkazizgiyv3hb1l9g3d8h17cajbkx538jiwfw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-serialize" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1nkg3vasg7nk80ffkazizgiyv3hb1l9g3d8h17cajbkx538jiwfw"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -44110,13 +44312,13 @@ (define-public rust-rustc-std-workspace-core-1
     (name "rust-rustc-std-workspace-core")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-std-workspace-core" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1309xhwyai9xpz128xrfjqkmnkvgjwddznmj7brbd8i8f58zamhr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-std-workspace-core" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1309xhwyai9xpz128xrfjqkmnkvgjwddznmj7brbd8i8f58zamhr"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://crates.io/crates/rustc-std-workspace-core")
@@ -44131,14 +44333,14 @@ (define-public rust-rustc-std-workspace-std-1
     (name "rust-rustc-std-workspace-std")
     (version "1.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-std-workspace-std" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1vq4vaclamwhk0alf4f7wq3i9wxa993sxpmhy6qfaimy1ai7d9mb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-std-workspace-std" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1vq4vaclamwhk0alf4f7wq3i9wxa993sxpmhy6qfaimy1ai7d9mb"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://crates.io/crates/rustc-std-workspace-std")
@@ -44447,14 +44649,14 @@ (define-public rust-rustls-0.15
     (name "rust-rustls")
     (version "0.15.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustls" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vh93fhqfbn4ysw4xzkpkpqdz36xixz4mhs1qllgldfq5iay6wgj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustls" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vh93fhqfbn4ysw4xzkpkpqdz36xixz4mhs1qllgldfq5iay6wgj"))))
     (arguments
      `(#:tests? #f ;; 1/111 tests fail (test file not found)
        #:cargo-inputs
@@ -44694,14 +44896,14 @@ (define-public rust-rustversion-0.1
     (name "rust-rustversion")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustversion" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1s3ib2paa5gq17x4qsmjmnsw68z7b5d5av1wsiqcrihmqb7kk0dl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustversion" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1s3ib2paa5gq17x4qsmjmnsw68z7b5d5av1wsiqcrihmqb7kk0dl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -44867,14 +45069,14 @@ (define-public rust-rustyline-6
     (name "rust-rustyline")
     (version "6.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustyline" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "04w4k0nwsra84h90rvwkr6vmjp3nshjqaj9rakfym8qr09xmw3bg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustyline" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "04w4k0nwsra84h90rvwkr6vmjp3nshjqaj9rakfym8qr09xmw3bg"))))
     (arguments
      `(#:cargo-inputs
        (("rust-cfg-if" ,rust-cfg-if-0.1)
@@ -44931,14 +45133,14 @@ (define-public rust-rustyline-derive-0.3
     (name "rust-rustyline-derive")
     (version "0.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustyline-derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0daj9szvfi442vj2fhm7qb92wmzv7g75qsjq9a6ycnqac4lhx9al"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustyline-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0daj9szvfi442vj2fhm7qb92wmzv7g75qsjq9a6ycnqac4lhx9al"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -45018,13 +45220,13 @@ (define-public rust-ryu-1
     (name "rust-ryu")
     (version "1.0.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ryu" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0xlx9ybzncrb7d6r9533g8ydlg6mr252pfzl4g9cqaqkpvk24mjk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ryu" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0xlx9ybzncrb7d6r9533g8ydlg6mr252pfzl4g9cqaqkpvk24mjk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -45266,13 +45468,13 @@ (define-public rust-safemem-0.3
     (name "rust-safemem")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "safemem" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0wp0d2b2284lw11xhybhaszsczpbq1jbdklkxgifldcknmy3nw7g"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "safemem" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0wp0d2b2284lw11xhybhaszsczpbq1jbdklkxgifldcknmy3nw7g"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/abonander/safemem")
@@ -45301,13 +45503,13 @@ (define-public rust-same-file-1
     (name "rust-same-file")
     (version "1.0.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "same-file" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "00h5j1w87dmhnvbv9l8bic3y7xxsnjmssvifw2ayvgx9mb1ivz4k"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "same-file" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "00h5j1w87dmhnvbv9l8bic3y7xxsnjmssvifw2ayvgx9mb1ivz4k"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -45389,14 +45591,14 @@ (define-public rust-scan-fmt-0.2
     (name "rust-scan-fmt")
     (version "0.2.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scan_fmt" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1gmaa07z8bkkdv5xhq2lrgml6ri7fqyyrjpiks3phmpmq3p8d0i4"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scan_fmt" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1gmaa07z8bkkdv5xhq2lrgml6ri7fqyyrjpiks3phmpmq3p8d0i4"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -45413,13 +45615,13 @@ (define-public rust-schannel-0.1
     (name "rust-schannel")
     (version "0.1.16")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "schannel" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "08d0p5iy574vdrax4l3laazic0crj7rp7vp3if5rrfkcdfq51xc7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "schannel" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "08d0p5iy574vdrax4l3laazic0crj7rp7vp3if5rrfkcdfq51xc7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -45459,13 +45661,13 @@ (define-public rust-scoped-threadpool-0.1
     (name "rust-scoped-threadpool")
     (version "0.1.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scoped_threadpool" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1a26d3lk40s9mrf4imhbik7caahmw2jryhhb6vqv6fplbbgzal8x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scoped_threadpool" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1a26d3lk40s9mrf4imhbik7caahmw2jryhhb6vqv6fplbbgzal8x"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -45488,13 +45690,13 @@ (define-public rust-scoped-tls-1
     (name "rust-scoped-tls")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scoped-tls" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1hj8lifzvivdb1z02lfnzkshpvk85nkgzxsy2hc0zky9wf894spa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scoped-tls" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1hj8lifzvivdb1z02lfnzkshpvk85nkgzxsy2hc0zky9wf894spa"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/alexcrichton/scoped-tls")
@@ -45511,26 +45713,26 @@ (define-public rust-scoped-tls-0.1
     (name "rust-scoped-tls")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scoped-tls" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0a2bn9d2mb07c6l16sadijy4p540g498zddfxyiq4rsqpwrglbrk"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scoped-tls" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0a2bn9d2mb07c6l16sadijy4p540g498zddfxyiq4rsqpwrglbrk"))))))
 
 (define-public rust-scopeguard-1
   (package
     (name "rust-scopeguard")
     (version "1.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scopeguard" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1kbqm85v43rq92vx7hfiay6pmcga03vrjbbfwqpyj3pwsg3b16nj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scopeguard" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1kbqm85v43rq92vx7hfiay6pmcga03vrjbbfwqpyj3pwsg3b16nj"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/bluss/scopeguard")
     (synopsis "Scope guard which will run a closure even out of scope")
@@ -45548,14 +45750,14 @@ (define-public rust-scopeguard-0.3
     (name "rust-scopeguard")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scopeguard" version))
-        (file-name
-          (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "09sy9wbqp409pkwmqni40qmwa99ldqpl48pp95m1xw8sc19qy9cl"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scopeguard" version))
+       (file-name
+        (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "09sy9wbqp409pkwmqni40qmwa99ldqpl48pp95m1xw8sc19qy9cl"))))))
 
 (define-public rust-scraper-0.12
   (package
@@ -45592,14 +45794,14 @@ (define-public rust-scratch-1
     (name "rust-scratch")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scratch" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0sff4rvfalp0ip98pl3xa32n7lhzcr4zqn8fgamaalbb64v4a4by"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scratch" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0sff4rvfalp0ip98pl3xa32n7lhzcr4zqn8fgamaalbb64v4a4by"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -45616,14 +45818,14 @@ (define-public rust-scrypt-0.3
     (name "rust-scrypt")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scrypt" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1apicbvp7cgc1z2nl5l48g8h3kp7p592r4zbkx9vsri2ivnvgv43"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scrypt" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1apicbvp7cgc1z2nl5l48g8h3kp7p592r4zbkx9vsri2ivnvgv43"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -45646,14 +45848,14 @@ (define-public rust-scrypt-0.2
     (name "rust-scrypt")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scrypt" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1pfgqgzdjxjf7c8r1wfka0ackfpv1g8w7wvbr25b42hdx787jv35"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scrypt" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1pfgqgzdjxjf7c8r1wfka0ackfpv1g8w7wvbr25b42hdx787jv35"))))
     (arguments
      `(#:cargo-inputs
        (("rust-base64" ,rust-base64-0.9)
@@ -45670,14 +45872,14 @@ (define-public rust-scroll-0.10
     (name "rust-scroll")
     (version "0.10.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scroll" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1cbcns8538sqmfnmdbphqy0fd4j8z75z802pvmz3zlwmnln37cmb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scroll" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1cbcns8538sqmfnmdbphqy0fd4j8z75z802pvmz3zlwmnln37cmb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -45724,14 +45926,14 @@ (define-public rust-scroll-derive-0.10
     (name "rust-scroll-derive")
     (version "0.10.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scroll_derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0a7f0xybi27p1njs4bqmxh9zyb2dqal4dbvgnhjjix4zkgm4wn7q"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scroll_derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0a7f0xybi27p1njs4bqmxh9zyb2dqal4dbvgnhjjix4zkgm4wn7q"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -45803,14 +46005,14 @@ (define-public rust-sct-0.5
     (name "rust-sct")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sct" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1fb9ym5bwswx01yyggn7v2vfryih4vnqpp4r4ssv3qaqpn7xynig"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sct" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fb9ym5bwswx01yyggn7v2vfryih4vnqpp4r4ssv3qaqpn7xynig"))))
     (arguments
      `(#:cargo-inputs
        (("rust-ring" ,rust-ring-0.14)
@@ -45925,14 +46127,14 @@ (define-public rust-section-testing-0.0
     (name "rust-section-testing")
     (version "0.0.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "section-testing" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18dfl8nacwcd1z2y4sgdx7751czzpl6282q6cd49ys5gd0xlkljz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "section-testing" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18dfl8nacwcd1z2y4sgdx7751czzpl6282q6cd49ys5gd0xlkljz"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/evanw/section_testing")
     (synopsis "Library for section-style testing")
@@ -46116,13 +46318,13 @@ (define-public rust-security-framework-sys-0.3
     (name "rust-security-framework-sys")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "security-framework-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "15gqhhi206lzynd0pcbswxhvqc4p9bmpl2h9qnwfnpb16zy96573"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "security-framework-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "15gqhhi206lzynd0pcbswxhvqc4p9bmpl2h9qnwfnpb16zy96573"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -46170,14 +46372,14 @@ (define-public rust-selectors-0.22
     (name "rust-selectors")
     (version "0.22.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "selectors" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1zhjpvww238lh4nz7kdw4ywlpmjbmzvrm76w1jyacjxci4c0ycnz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "selectors" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1zhjpvww238lh4nz7kdw4ywlpmjbmzvrm76w1jyacjxci4c0ycnz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -46227,11 +46429,11 @@ (define-public rust-sema-0.1
        (sha256
         (base32
          "0ckq33sg84785p195m54h03jcn7fai8w08hjnb94nzaakgzibbz3"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (substitute* "Cargo.toml"
-                   (("libc.*") "libc = \"0.2\"\n"))
-                 #t))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (substitute* "Cargo.toml"
+                  (("libc.*") "libc = \"0.2\"\n"))
+                #t))))
     (build-system cargo-build-system)
     (arguments
      `( #:cargo-inputs
@@ -46386,13 +46588,13 @@ (define-public rust-semver-parser-0.9
     (name "rust-semver-parser")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "semver-parser" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1ahqhvgpzhcsd28id7xnrjv4419i9yyalhm7d7zi430qx0hi2vml"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "semver-parser" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1ahqhvgpzhcsd28id7xnrjv4419i9yyalhm7d7zi430qx0hi2vml"))))))
 
 (define-public rust-semver-parser-0.7
   (package
@@ -46400,13 +46602,13 @@ (define-public rust-semver-parser-0.7
     (name "rust-semver-parser")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "semver-parser" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "18vhypw6zgccnrlm5ps1pwa0khz7ry927iznpr88b87cagr1v2iq"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "semver-parser" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "18vhypw6zgccnrlm5ps1pwa0khz7ry927iznpr88b87cagr1v2iq"))))))
 
 (define-public rust-send-wrapper-0.4
   (package
@@ -46706,14 +46908,14 @@ (define-public rust-serde-big-array-0.2
     (name "rust-serde-big-array")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serde-big-array" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0kj0h99y7ma9nsayv87fj2n680bcrwv2mrcbmc774lgak18ywgl8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde-big-array" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0kj0h99y7ma9nsayv87fj2n680bcrwv2mrcbmc774lgak18ywgl8"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
